<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/Widget.inc.php" );

	class JobQualityPreference extends Widget {
		protected $sValue = "normal";

		public function getValue() { return $this->sValue; }
		public function setValue( $v ) { $this->sValue = $v; }

		public function getOptions() {
			return array( "high_quality" , "normal" , "low_price" );
		}

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$this->setParam( "value" , $this->sValue );
			$this->setParam( "options" , $this->getOptions() );
			return parent::render();
		}
	}

?>
